﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO.Ports;

namespace CHC
{
    public partial class FormConfig : Form
    {
        private string COMPort;
        private int MaxListviewItems;

        public FormConfig()
        {
            InitializeComponent();
        }

        private void FormConfig_Load(object sender, EventArgs e)
        {
            COMPort = Properties.Settings.Default.COMPort;
            MaxListviewItems = Properties.Settings.Default.MaxListviewItems;

            numericUpDown1.Value = MaxListviewItems;

            string[] ports = SerialPort.GetPortNames();

            foreach (string port in ports)
            {
                comboBox1.Items.Add(port);
            }

            for(int i = 0; i < comboBox1.Items.Count; i++)
            {
                if(comboBox1.Items[i].ToString() == COMPort)
                {
                    comboBox1.SelectedIndex = i;
                    break;
                }
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            Properties.Settings.Default.COMPort = comboBox1.SelectedItem.ToString();
            Properties.Settings.Default.MaxListviewItems = (int) numericUpDown1.Value;
            Properties.Settings.Default.Save();

            FormMain.serialPort.Close();
            FormMain.serialPort.PortName = Properties.Settings.Default.COMPort;
            FormMain.serialPort.Open();

            this.Close();
        }
    }
}
